%define ghc_ver %(ghc --numeric-version)
%define pkg_name %(echo %name | sed "s|^ghc-||")

Name:          ghc-doctest
Version:       0.23.0
Release:       1mamba
Summary:       GHC doctest: Test interactive Haskell examples
Group:         Development/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://hackage.haskell.org/package/%{pkg_name}
Source:        https://hackage.haskell.org/package/doctest-%{version}/doctest-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: ghc-code-page-devel
BuildRequires: ghc-ghc-paths-devel
BuildRequires: ghc-libs
BuildRequires: ghc-random-devel
BuildRequires: ghc-splitmix-devel
BuildRequires: ghc-syb-devel
BuildRequires: ghc-temporary-devel
BuildRequires: glibc-devel
BuildRequires: libgmp-devel
BuildRequires: libncurses-devel
BuildRequires: libnuma-devel
## AUTOBUILDREQ-END
BuildRequires: ghc
BuildRequires: ghc-rpm-macros
Requires:      ghc = %{ghc_ver}

%description
%{summary}.

%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
Requires:       ghc-filesystem

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif

%package -n %{pkg_name}
Group:         Applications/Development
Summary:       A command-line tool for testing interactive Haskell examples

%description -n %{pkg_name}
A command-line tool for testing interactive Haskell examples.

%prep
%setup -q -n doctest-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

rm -f %{buildroot}%{_ghclicensedir}/%{name}/LICENSE

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.files
%defattr(-,root,root)
%license LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root)
#%doc CHANGELOG.markdown README.markdown

%if %{with haddock}
%files doc -f %{name}-doc.files
%defattr(-,root,root)
%license LICENSE
%endif

%files -n %{pkg_name}
%defattr(-,root,root)
%{_bindir}/doctest

%changelog
* Sat Oct 19 2024 Automatic Build System <autodist@openmamba.org> 0.23.0-1mamba
- automatic version update by autodist

* Sun Sep 08 2024 Automatic Build System <autodist@openmamba.org> 0.22.10-1mamba
- automatic version update by autodist

* Thu Aug 01 2024 Automatic Build System <autodist@openmamba.org> 0.22.9-1mamba
- automatic version update by autodist

* Sat Jul 27 2024 Automatic Build System <autodist@openmamba.org> 0.22.8-1mamba
- automatic version update by autodist

* Sat Jul 27 2024 Automatic Build System <autodist@openmamba.org> 0.22.7-1mamba
- automatic version update by autodist

* Thu Jul 18 2024 Automatic Build System <autodist@openmamba.org> 0.22.6-1mamba
- automatic version update by autodist

* Tue Jul 16 2024 Automatic Build System <autodist@openmamba.org> 0.22.5-1mamba
- automatic version update by autodist

* Sun Dec 03 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.22.2-1mamba
- update to 0.22.2

* Sun Dec 03 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.20.1-1mamba
- package created using the webbuild interface
